Skip to main content
`Ctrl`+`K`

# PetscSFDeregisterPersistent

Signal that repeated usage of `rootdata` and `leafdata` for `PetscSF` communication has concluded.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFDeregisterPersistent(PetscSF sf, MPI_Datatype unit, const void *rootdata, const void *leafdata)

Collective

## Input Parameters

- sf - star forest

- unit - the data type contained within the `rootdata` and `leafdata`

- rootdata - root data that was previously registered with `PetscSFRegisterPersistent()`

- leafdata - leaf data that was previously registered with `PetscSFRegisterPersistent()`

## Note

See `PetscSFRegisterPersistent()` for when and how to use this function.

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PETSCSFWINDOW`, `PetscSFRegisterPersistent()`

## Level

advanced

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/vec/is/sf/tutorials/ex1.c
src/vec/is/sf/tutorials/ex3.c

## Implementations

PetscSFDeregisterPersistent_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages